Skip to main content
PUT
/
api
/
svc
/
v1
/
apply
Create or update a resource from a manifest
curl --request PUT \
  --url https://{controlPlaneURL}/api/svc/v1/apply \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "manifest": {
    "type": "ml-repo",
    "name": "<string>",
    "storage_integration_fqn": "<string>",
    "collaborators": [
      {
        "subject": "<string>",
        "role_id": "<string>"
      }
    ],
    "description": "<string>"
  },
  "dryRun": false
}
'
import requests

url = "https://{controlPlaneURL}/api/svc/v1/apply"

payload = {
"manifest": {
"type": "ml-repo",
"name": "<string>",
"storage_integration_fqn": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"description": "<string>"
},
"dryRun": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
manifest: {
type: 'ml-repo',
name: '<string>',
storage_integration_fqn: '<string>',
collaborators: [{subject: '<string>', role_id: '<string>'}],
description: '<string>'
},
dryRun: false
})
};

fetch('https://{controlPlaneURL}/api/svc/v1/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "existingManifest": {
    "type": "ml-repo",
    "name": "<string>",
    "storage_integration_fqn": "<string>",
    "collaborators": [
      {
        "subject": "<string>",
        "role_id": "<string>"
      }
    ],
    "description": "<string>",
    "ownedBy": {
      "account": "<string>"
    }
  },
  "data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
manifest
required

Manifest of the resource to be created or updated

dryRun
boolean | null
default:false

Dry run the apply operation without actually applying

Response

200 - application/json

The created or updated resource, and the action that was performed.

existingManifest

The existing manifest of the resource

action
enum<string> | null

The action performed: CREATE or UPDATE

Available options:
CREATE,
UPDATE
data
object | null

The created or updated resource